/**
 * JavaScript for ext-surfbar - member editing page
 * --------------------------------------------------------------------
 * $Revision::                                                        $
 * $Date::                                                            $
 * $Tag:: 0.2.1-FINAL                                                 $
 * $Author::                                                          $
 * --------------------------------------------------------------------
 * Copyright (c) 2003 - 2009 by Roland Haeder
 * Copyright (c) 2009 - 2012 by Mailer Developer Team
 * For more information visit: http://mxchange.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */

var limit = document.getElementById('limit');
var span = document.getElementById('span_limit');
var old_limit = $content[url_views_max];

function FocusLimitedNo () {
	if ((limit.value > 0) && (limit.value != '-')) {
		old_limit = limit.value;
	}
	limit.disabled = true;
	limit.setAttribute('class', 'disabled');
	limit.style.textAlign = 'center';
	limit.value = '-';
}

function FocusLimitedYes () {
	limit.disabled = false;
	limit.setAttribute('class', 'form_field');
	limit.style.textAlign = 'left';
	if (old_limit > 0) {
		limit.value = old_limit;
	} else {
		limit.value = '';
	}
	limit.focus();
}

function SubmitForm () {
	if (limit.value == '-') {
		limit.value = 0;
	}
	return true;
}

function ResetForm () {
	old_limit = 0;
	FocusLimitedNo();
	return false;
}

if ($content[limited] === true) {
	FocusLimitedYes();
} else {
	FocusLimitedNo();
}

// Register event listeners
$('#edit').submit(function() {
	return submitForm();
});

$('#reset').click(function() {
	return resetForm();
});
